Subject: [eman] Rolf.Winter - draft-ietf-eman-framework-10: WGLC comments

From: "John Parello (jparello)" <[email-masked]>
Date: Sun, 13 Oct 2013 21:56:26 +0000

Hi Rolf,

Thanks again, this is the followup to the first rev I did.
 I applied the changes see inline. You should be good in rev-11.

Jp

> ! weird spelling (e.g. Battery is capitalized in the abstract) !
> inconsistent spelling (e.g. "Energy Management System" and "energy
> management system" are both used throughout the text without apparent
> reason, same applies to "power", "demand" and a whole bunch of other
> terms)
>
> JP : Yeah I'm not comfortable with the capitalization either. When we
> started the draft all the comments we  had were to capitalize
> everything in the terminology section. You're facing the same issue in
> the requirements. In order to help with this I am publishing a new
> version of the terminology draft with a proposed capitalization scheme
> that is more sane. Terms that are common are lower case and anything
> that originates in our WG is capitalized. Let's discuss / open a thread
> in that context them apply those minor edits to both drafts.

This is what the requirements draft converged to as well.

! JP - Great we definitely agree here. See thread on terminology and caps summary. I'll make the changes after that discussion closes.

> - measured in kilowatt hours... I personally would write "measured in
> watt hours" as kilo is merely an SI prefix. Kilo is certainly a common
> prefix but I am sure there are consumers that are measured in other SI
> prefixes...
>
> JP : direct quote so I left it kilo. I agree with you but it's a direct
> quote.

If that's the case, I think it should be actually put in quotation marks to show that.

+ JP : I added a note in the definition to indicate this.
"While IEEE100 defines Demand in kilo measurements for EMAN we use watts with any suitable metric prefix ."

  >
> + I think the rule regarding SI unit and numerical value is that there
> is a space in between the two. In either case, use one scheme
> consistently.
>
> JP : I don't see a rule for space but the prefixes from use are clearly
> non spaced kilometer, miligram, picowatt. Scrubbed.

That's not what I meant. I meant between numerical value and the SI unit. So it is not 3mW but 3 mW. That's still in the document (both forms, so it is still inconsistent).

+ JP : Thanks didn't follow before, done now

>
> + "Limitation (curtailment) of the power used by an Energy Object in a
> state is specified by" I would add an "e.g." here, since not all of
> them have to be used at the same time.
>
> JP - I changed "is" to  "may" to indicate the choice

Then you should add a "be"

+ JP : Done

> + This sentence "Since one point of a power distribution system may
> cover many Devices with a complex wiring topology, this relationship
> type can be seen as an arbitrary set." sounds strange to me. Why can
> this be seen as an arbitrary set. Complex != arbitrary.
>
> JP -  "Since one point of a power distribution system may cover many
> Devices within a wiring topology"

Sure, but why would one call this arbitrary I still don't get.

+ JP: Yep I removed arbitrary, it's a set.

> - regarding the PDU in section 6, shouldn't "among the inlets or
> outlet" be "among the inlet or outlets"
>
> JP - A  PDU  or (any device) may have multiple inlets (very common) so
> that was intentionally made plural.

But then I still don't get why you insist on a single outlet because a PDU surely has more than one?

+ JP : We agree. it was always meant to be multiple inlets and outlets. Both are plural now. Thanks again for the details!

Thanks!
Jp